class SeedingMobilartPrintTemplates < ActiveRecord::Migration[4.2]
  def change
    single_item = {
      name: "Particolare Singolo",
      description: "Modello per la stampa di un singolo particolare di commessa per Mobilart",
      template: "^XA
      ^MDTEMPERATURE
      ^SS,,,316,,,,,
      ^PW559
      ^LL0296
      ^FT279,54^A0N,28,28^FH\^FD VAR00 ^FS  			    'Varibile codice commessa
      ^FT374,54^A0N,28,28^FH\^FD VAR01^FS			      'Variabile codice ponte
      ^FT28,54^A0N,28,28^FH\^FDCOMMESSA:^FS	'Campo Fisso
      ^FT279,108^A0N,28,28^FH\^FD VAR02^FS			      'Variabile Cod Locale
      ^FT25,108^A0N,28,28^FH\^FDLOCALE:^FS		'Campo Fisso
      ^FT279,158^A0N,28,28^FH\^FD VAR03 ^FS	        'Variabile Codice Stanza
      ^FT25,158^A0N,28,28^FH\^FDMOBILE:^FS		'Campo Fisso
      ^FT280,212^A0N,28,28^FH\^FD VAR04 ^FS	        'Variabile Codice particolare
      ^FT24,212^A0N,28,28^FH\^FDPARTICOLARE:^FS		'Campo Fisso
      ^BY5,4^FT23,294^B7N,4,0,,,N^FH\^FDBARCODE00^FS 'COMMESSA+PONTE+STANZA+MOBILE+NRUNIV
      ^PQ1							                            'Quantità
      ^XZ
      ",
      number_of_barcodes: 1,
      translation_matrix: "VAR00: chosen_furniture.chosen_room.chosen_deck.commission.name\nVAR01: chosen_furniture.chosen_room.chosen_deck.name\nVAR02: chosen_furniture.chosen_room.name\nVAR03: chosen_furniture.name\nVAR04: furniture_item.item.name"
    }

    multi_items = {
      name: "Particolari Multipli",
      description: "Modello per la stampa che contiene diversi particolari in ogni etichetta",
      template: "^XA
      ^MDTEMPERATURE
      ^PW799
      ^LL1199
      ^MD
      ^FT24,62^A0N,40,40^FH\^FDVAR00:^FS	'VAR0=NUMERO SOVRAC IN CHIARO
      ^BY4,4^FT372,61^B7N,4,0,,,N^FH\^FDVAR00^FS			'VAR1=NUMERO SOVRAC BARCODE
      ^FT24,144^A0N,40,40^FH\^FDBARCODE00^FS	'VAR2=PARTICOLARE 1
      ^BY4,4^FT24,252^B7N,4,0,,,N^FH\^FDBARCODE00^FS			'VAR3=PARTICOLARE 1 BARCODE
      ^FT24,394^A0N,40,40^FH\^FDBARCODE01^FS	'VAR4=PARTICOLARE2
      ^BY4,4^FT24,502^B7N,4,0,,,N^FH\^FDBARCODE01^FS			'VAR5=PARTICOLARE2 BARCODE
      ^FT24,589^A0N,40,40^FH\^FDBARCODE02^FS	'VAR6=PARTICOLARE 3
      ^BY4,4^FT24,700^B7N,4,0,,,N^FH\^FDBARCODE02^FS			'VAR7=PARTICOLARE3 BARCODE
      ^FT24,806^A0N,40,40^FH\^FDBARCODE03^FS	'VAR8=PARTICOLARE4
      ^BY4,4^FT24,914^B7N,4,0,,,N^FH\^FDBARCODE03^FS			'VAR9=PARTICOLARE4 BARCODE
      ^FT24,1001^A0N,40,40^FH\^FDBARCODE04^FS	'VAR10=PARTICOLARE5
      ^BY4,4^FT24,1110^B7N,4,0,,,N^FH\^FDBARCODE04^FS			'VAR11=PARTICOLARE5 BARCODE
      ^PQ1				'VAR=QUANTITA'
      ^XZ
      ",
      number_of_barcodes: 5,
      translation_matrix:'VAR00: chosen_furniture.chosen_room.chosen_deck.commission.code'
    }

    multi_items_bundle = {
      name: "Stampa del Sovracollo",
      description: "Modello per la stampa che contiene diversi particolari in ogni etichetta e riporta il codice del sovracollo",
      template: "^XA
      ^MDTEMPERATURE
      ^PW799
      ^LL1199
      ^MD
      ^FT24,62^A0N,40,40^FH\^FDVAR00:^FS	'VAR0=NUMERO SOVRAC IN CHIARO
      ^BY4,4^FT372,61^B7N,4,0,,,N^FH\^FDVAR00^FS			'VAR1=NUMERO SOVRAC BARCODE
      ^FT24,144^A0N,40,40^FH\^FDBARCODE00^FS	'VAR2=PARTICOLARE 1
      ^BY4,4^FT24,252^B7N,4,0,,,N^FH\^FDBARCODE00^FS			'VAR3=PARTICOLARE 1 BARCODE
      ^FT24,394^A0N,40,40^FH\^FDBARCODE01^FS	'VAR4=PARTICOLARE2
      ^BY4,4^FT24,502^B7N,4,0,,,N^FH\^FDBARCODE01^FS			'VAR5=PARTICOLARE2 BARCODE
      ^FT24,589^A0N,40,40^FH\^FDBARCODE02^FS	'VAR6=PARTICOLARE 3
      ^BY4,4^FT24,700^B7N,4,0,,,N^FH\^FDBARCODE02^FS			'VAR7=PARTICOLARE3 BARCODE
      ^FT24,806^A0N,40,40^FH\^FDBARCODE03^FS	'VAR8=PARTICOLARE4
      ^BY4,4^FT24,914^B7N,4,0,,,N^FH\^FDBARCODE03^FS			'VAR9=PARTICOLARE4 BARCODE
      ^FT24,1001^A0N,40,40^FH\^FDBARCODE04^FS	'VAR10=PARTICOLARE5
      ^BY4,4^FT24,1110^B7N,4,0,,,N^FH\^FDBARCODE04^FS			'VAR11=PARTICOLARE5 BARCODE
      ^PQ1				'VAR=QUANTITA'
      ^XZ
      ",
      number_of_barcodes: 5,
      translation_matrix:'VAR00: bundle.code'
    }
    [single_item, multi_items, multi_items_bundle].each do |item|
      puts item["name"]
      PrintTemplate.create! item
    end
  end
end
